# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2008 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

"""company configuration fields for this module"""

from osv import osv, fields

class res_company(osv.osv):
    """company configuration fields for this module"""

    _inherit = 'res.company'

    _columns = {
        'customer_parent_account': fields.many2one('account.account', 'Default receivable customer account', help="Default receivable account for customers (4300000 for example)"),
        'supplier_parent_account': fields.many2one('account.account', 'Default payable supplier account', help="Default payable account for suppliers (4100000 for example)")
    }

res_company()